Skip to main content
POST
Update a memory

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31

Path Parameters

id
string
required
Pattern: ^memstore_[0-9a-f]{32}$
memory
string
required
Pattern: ^mem_[0-9a-f]{32}$

Query Parameters

view
enum<string>
Available options:
basic,
full

Body

application/json
path
string
Maximum string length: 1024
content
string

Memory document text no larger than 102400 bytes when encoded as UTF-8

Maximum string length: 102400
precondition
object

Response

Success

id
string
required
Pattern: ^mem_[0-9a-f]{32}$
type
enum<string>
required
Available options:
memory
memory_store_id
string
required
Pattern: ^memstore_[0-9a-f]{32}$
path
string
required
Maximum string length: 1024
memory_version_id
string | null
required
Pattern: ^memver_[0-9a-f]{32}$
history_state
enum<string>
required
Available options:
complete,
snapshot_only,
gapped
content_sha256
string
required
Pattern: ^[0-9a-f]{64}$
content_size_bytes
integer
required
Required range: x >= 0
created_at
string
required
updated_at
string
required
content
string | null
required